Subject: Re: [PATCH 1/2] i2c: qcom-geni: Provide an option to select FIFO processing

From: Wolfram Sang <[email-masked]>
Date: Thu, 5 Sep 2019 15:37:43 +0200

> > So, are there investigations running why this reboot happens?
> 
> Yes, but they have been running for months, literally.

I see. This is good to know. Just so I also know where we are with this.

> > Which is a clear disadvantage of that solution. It won't fix older
> > kernels. My suggestion above should fix them, too.
> 
> Not sure how this is possible.  Unless you mean LTS?

Why not? Using of_machine_is_compatible() makes the patch 100% self
contained (no extra binding needed). It will work wherever the machine
description fits.

> > Unless we know why the reboot happens on your platform, I'd be careful
> > with saying "work obviously well" on other platforms.
> 
> Someone must have tested it?  Surely ... ;)

It seems to work mostly, I won't deny that. But we don't know if the
buggy situation can be triggered on these platforms as well by something
else later. We just don't know.

> > My suggestion:
> > 
> > For 5.3, use of_machine_is_compatible() and we backport that. For later,
> > try to find out the root cause and fix it. If that can't be done, try to
> > set up a generic "disable-dma" property and use it.
> > 
> > What do you think about that?
> 
> Sounds okay to me.  Let me code that up.

Glad you like it.

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel